Bug 144990 - Anaconda installer partion error large RAID volume
Anaconda installer partion error large RAID volume
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 10:02 EST by Jonathan Evans
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Evans 2005-01-13 10:02:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Dell PowerEdge 2600 with attached PV221S SCSI array. Two RAID logical
volumes sda (34GB RAID1), sdb (1678GB RAID 5). 

Setting a manual partition scheme of:

sda1 /boot 100Mb
sda2 /     32530Mb
sda3 swap  1019Mb
sda5 swap  1019Mb

sdb1 /home/general 783074Mb
sdb2 /home         783074Mb
sdb3 /var          102398Mb
sdb5 /spare         10236Mb

Causes anaconda to report:
 "Error informing the kernel about modifications to partition /dev/sdb*"
a number of times followed by a crash of the partioner step
"File
/usr/src/build/391545-i386/install//usr/lib/anaconda/partedUtils.py,
line 696, in savePartitions
error: Error: Error informing the kernel about modifications to
partition /dev/sdb5 - Invalid argument.  This means Linux won't know
about any changes you made to /dev/sdb5 until you reboot - so you
shouldn't mount it or use it in any way before rebooting."

Allowing anaconda to select the partion scheme (2 partions on sdb)
works OK. Manually partioning with 3 partions on sdb causes the same
error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Two logical volums as detailed above.
2.Chooses manual partioning in anaconda and put more than 2 partions
on sdb. 
3.At install phase of installer, errors reported followed by crash.
    

Actual Results:  Installer reports invalid argument error in
partedUtils.py as detailed above and install aborts.

Expected Results:  Partioning scheme should be accepted.

Additional info:

Excerpt from anacdump.txt:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1081, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/391545-i386/install//usr/lib/anaconda/text.py",
line 471, in run
  File
"/usr/src/build/391545-i386/install//usr/lib/anaconda/dispatch.py",
line 157, in gotoNext
  File
"/usr/src/build/391545-i386/install//usr/lib/anaconda/dispatch.py",
line 225, in moveStep
  File
"/usr/src/build/391545-i386/install//usr/lib/anaconda/packages.py",
line 486, in turnOnFilesystems
  File
"/usr/src/build/391545-i386/install//usr/lib/anaconda/partedUtils.py",
line 696, in savePartitions
error: Error: Error informing the kernel about modifications to
partition /dev/sdb5 - Invalid argument.  This means Linux won't know
about any changes you made to /dev/sdb5 until you reboot - so you
shouldn't mount it or use it in any way before rebooting.
Comment 1 Jeremy Katz 2005-01-13 16:57:58 EST

*** This bug has been marked as a duplicate of 116289 ***
Comment 2 Ernie Petrides 2005-02-22 04:37:06 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.17.EL).
Comment 3 Tim Powers 2005-05-18 09:29:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.